SEMODULE_DEPS(8)

NAME
semodule_deps - show the dependencies between SELinux policy packages.

SYNOPSIS
semodule_deps [-v -g -b] basemodpkg modpkg1 [modpkg2 ... ]

DESCRIPTION

semodule_deps is a developer tool for showing the dependencies between policy packages. For each module it prints a list of modules that must be present for a module's requirements to be satisfied. It only deals with requirements, not optional dependencies. In order for semodule_deps to give useful information the list of packages passed in cannot have unsatisfied dependencies. In general this means that the list of modules will usually be quite long. By default options to the base module are excluded as almost every module has this dependency. The -b option will include these dependencies. In addition to human readable output, semodule_deps can output the dependencies in the Graphviz dot format (http://www.graphviz.org/) using the -g option. This is useful for producing a picture of the dependencies.

OPTIONS

-v  verbose mode

-g  output dependency information in Graphviz dot format

-b  include dependencies to the base module - by default these are excluded

SEE ALSO
checkmodule(8), semodule_package(8), semodule(8), semodule_link(8)

AUTHORS
This manual page was written by Karl MacMillan <kmacmillan@mentalrootkit.com>.
The program was written by Karl MacMillan <kmacmillan@mentalrootkit.com>.